Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_vm_tag Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE | tag
VALUE | retval
rb_jmpbuf_t | buf
struct rb_vm_tag * | prev

## Detailed Description

Definition at line 468 of file vm_core.h.

## Field Documentation

rb_jmpbuf_t rb_vm_tag::buf

Definition at line 471 of file vm_core.h.

struct rb_vm_tag* rb_vm_tag::prev

Definition at line 472 of file vm_core.h.

Referenced by rb_threadptr_exec_event_hooks_orig(), and rb_throw_obj().

VALUE rb_vm_tag::retval

Definition at line 470 of file vm_core.h.

Referenced by rb_catch_obj(), rb_throw_obj(), and rb_vm_make_jump_tag_but_local_jump().

VALUE rb_vm_tag::tag

Definition at line 469 of file vm_core.h.

Referenced by cont_restore_thread(), rb_catch_obj(), rb_f_catch(), and rb_throw_obj().

The documentation for this struct was generated from the following file:

- vm_core.h